from app import Story, Paragraph, db
from datetime import datetime

db.drop_all()
db.create_all()

BEGIN_WORDS = [
    (
        "候选" + "甲",
        "男生。某传统工科。他从未想过自己会来华清，可机缘巧合之下还是来到了这里，身处数百人的庞大书院。他之前曾对园子里的生活有过很多美好的畅想，可如今却也都一一破灭了。大一上的微积分，到最后几节课他已经完全听不懂了，也不敢问同学。直到期末考试前一天晚上，他艰难地试图啃着天书般的教材，刷着课程群里他完全无法理解的讨论。第二天的考试，他没有去参加，而根据华清大学的规定，不参加期末考试便以挂科处理。",
        "boy.png"
    ),
    (
        "候选" + "乙",
        "女生。商科和管理学科。明年就要离开华清了，却似乎从未融入过园子里的生活。",
        "girl.png"
    ),
    (
        "候选" + "丙",
        "男生。艺术。追过三个女孩子，全都无功而返。在家人和朋友前毅然做出的“我要学艺术”的选择，在经过了几年的学习之后，却似乎已然记不得如此选择的理由了。“我真的喜欢学艺术嘛？”他的心头似乎总是为一层迷雾所笼罩。",
        "boy.png"
    ),
    (
        "候选" + "丁",
        "女生。某热门工科。高考失利，拼了一口气学了四年，才终于来到了华清。选择现在的专业最大的原因，就是招生办跟她讲“女孩子一般可能不太能学好这个”，她偏不同意，她想证明女生也是可以学好这个专业的。",
        "boy.png"
    ),
    (
        "候选" + "戊",
        "男生。理科。大概率要延毕了。毕业，曾以为是唾手可得的，却成了最渴望却也最遥远的梦想。曾经有一个想当理论科学家的远大志向，可是看着自己困顿的生活和迷茫的未来，却不知道该如何是好……",
        "girl.png"
    ),
    (
        "候选" + "己",
        "女生。不喜欢打扮。那年她收到了华清大学的录取通知书……",
        "girl.png"
    ),
    (
        "候选" + "庚",
        "男生。喜欢穿风衣。那年他收到了华清大学的录取通知书……",
        "boy.png"
    ),
    (
        "候选" + "辛",
        "女生。出门一般都戴帽子。那年他收到了华清大学的录取通知书……",
        "girl.png"
    ),
    (
        "候选" + "壬",
        "猫猫。那年它不小心从西门溜进了华清大学……",
        "cat.jpg"
    ),
    (
        "候选" + "癸",
        "留学生。那年华清大学的录取通知书漂洋过海寄到了家里……",
        "v.jpg"
    ),
]

for idx, (title, text, avatar) in zip(range(10), BEGIN_WORDS):
    s = Story(id=idx, title=title, text=text, tail=idx,
              avatar="/ordinary/static/img/" + avatar)
    p = Paragraph(id=idx, text=text, story_id=idx, is_chosen=True,
                  author="初始设定", time=datetime.now())
    db.session.add(s)
    db.session.add(p)

db.session.commit()
